API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/loads/{loadId}/pay-holds/resolve
ark.resolve_pay_hold
Resolves an active pay hold or claim for a visible load after the billing issue has been cleared.
- Availability
- Expanded preview
- Scopes
loads:readbilling:write- ARK permissions
canViewLoadscanMakeAdjustmentsone of: canViewBillingone of: canViewPayHoldsReportone of: canEditLoadone of: canMakeAdjustments- Team visibility
- Required and enforced
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
loadIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
payHoldIdstringrequiredExact active pay hold ID to resolve.
format: uuid
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/pay-holds/resolve' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"payHoldId": "<payHoldId>"
}'Success response
Resolved pay hold
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.payHoldIdstringrequiredformat: uuid
data.loadIdstringrequiredformat: uuid
data.loadobjectrequireddata.valuestring | nullrequireddata.notesstring | nullrequireddata.isClaimbooleanrequireddata.statusstringrequiredone of: active, resolved
data.createdAtstring | nullrequiredformat: date-time
data.createdBystring | nullrequireddata.resolvedAtstring | nullrequiredformat: date-time
data.resolvedBystring | nullrequireddata.messagestringrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry
HTTP 422- Invalid request